Ubuntu

ATA pass-through commands preventing external HDD to be mounted

Reported by Klaus Doblmann on 2010-01-31
158
This bug affects 24 people
Affects Status Importance Assigned to Milestone
Linux
Expired
Medium
OEM Priority Project
High
Unassigned
hdparm (Ubuntu)
High
Canonical Foundations Team
Lucid
High
Canonical Foundations Team

Bug Description

Binary package hint: udev

I've got seven external hard drives in use and two of them fail to mount in lucid.

I get these errors in my syslog/kern.log:

Jan 27 17:27:47 klaus-imac kernel: [ 116.220416] usb-storage: device scan complete
Jan 27 17:27:47 klaus-imac kernel: [ 116.222506] scsi 6:0:0:0: Direct-Access TOSHIBA MK5055GSX 0002 PQ: 0 ANSI: 0
Jan 27 17:27:47 klaus-imac kernel: [ 116.222823] sd 6:0:0:0: Attached scsi generic sg3 type 0
Jan 27 17:27:47 klaus-imac kernel: [ 116.225149] sd 6:0:0:0: [sdb] 976773168 512-byte logical blocks: (500 GB/465 GiB)
Jan 27 17:27:47 klaus-imac kernel: [ 116.225998] sd 6:0:0:0: [sdb] Write Protect is off
Jan 27 17:27:47 klaus-imac kernel: [ 116.226000] sd 6:0:0:0: [sdb] Mode Sense: 03 00 00 00
Jan 27 17:27:47 klaus-imac kernel: [ 116.226002] sd 6:0:0:0: [sdb] Assuming drive cache: write through
Jan 27 17:27:47 klaus-imac kernel: [ 116.227509] sd 6:0:0:0: [sdb] Assuming drive cache: write through
Jan 27 17:27:47 klaus-imac kernel: [ 116.227511] sdb: sdb1
Jan 27 17:27:47 klaus-imac kernel: [ 116.263544] sd 6:0:0:0: [sdb] Assuming drive cache: write through
Jan 27 17:27:47 klaus-imac kernel: [ 116.263549] sd 6:0:0:0: [sdb] Attached SCSI disk
Jan 27 17:27:55 klaus-imac kernel: [ 124.120514] usb 2-1.4: reset high speed USB device using ehci_hcd and address 6
Jan 27 17:28:03 klaus-imac kernel: [ 132.120379] usb 2-1.4: reset high speed USB device using ehci_hcd and address 6

Jan 27 17:30:07 klaus-imac kernel: [ 256.130303] usb 2-1.4: reset high speed USB device using ehci_hcd and address 6
Jan 27 17:30:11 klaus-imac kernel: [ 260.419828] applesmc: wait status failed: 5 != 0
Jan 27 17:30:38 klaus-imac kernel: [ 287.121304] usb 2-1.4: reset high speed USB device using ehci_hcd and address 6
Jan 27 17:31:03 klaus-imac kernel: [ 312.501640] kjournald starting. Commit interval 5 seconds
Jan 27 17:31:03 klaus-imac kernel: [ 312.501644] EXT3-fs warning: checktime reached, running e2fsck is recommended
Jan 27 17:31:03 klaus-imac kernel: [ 312.510681] EXT3 FS on dm-0, internal journal
Jan 27 17:31:03 klaus-imac kernel: [ 312.510685] EXT3-fs: mounted filesystem with writeback data mode.
Jan 27 17:31:09 klaus-imac kernel: [ 318.090472] usb 2-1.4: reset high speed USB device using ehci_hcd and address 6
Jan 27 17:31:09 klaus-imac kernel: [ 318.202065] sd 6:0:0:0: [sdb] Unhandled error code
Jan 27 17:31:09 klaus-imac kernel: [ 318.202074] sd 6:0:0:0: [sdb] Result: hostbyte=DID_ABORT driverbyte=DRIVER_OK
Jan 27 17:31:09 klaus-imac kernel: [ 318.202083] sd 6:0:0:0: [sdb] CDB: Read(10): 28 00 00 00 00 00 00 00 20 00
Jan 27 17:31:09 klaus-imac kernel: [ 318.202104] end_request: I/O error, dev sdb, sector 0
Jan 27 17:31:09 klaus-imac kernel: [ 318.202115] Buffer I/O error on device sdb, logical block 0
Jan 27 17:31:09 klaus-imac kernel: [ 318.202126] Buffer I/O error on device sdb, logical block 1
Jan 27 17:31:09 klaus-imac kernel: [ 318.202133] Buffer I/O error on device sdb, logical block 2
Jan 27 17:31:09 klaus-imac kernel: [ 318.202140] Buffer I/O error on device sdb, logical block 3
Jan 27 17:31:40 klaus-imac kernel: [ 349.092930] usb 2-1.4: reset high speed USB device using ehci_hcd and address 6
Jan 27 17:32:11 klaus-imac kernel: [ 380.090465] usb 2-1.4: reset high speed USB device using ehci_hcd and address 6
Jan 27 17:32:42 klaus-imac kernel: [ 411.096963] usb 2-1.4: reset high speed USB device using ehci_hcd and address 6
Jan 27 17:33:13 klaus-imac kernel: [ 442.090455] usb 2-1.4: reset high speed USB device using ehci_hcd and address 6
Jan 27 17:33:44 klaus-imac kernel: [ 473.130475] usb 2-1.4: reset high speed USB device using ehci_hcd and address 6
Jan 27 17:34:15 klaus-imac kernel: [ 504.122969] usb 2-1.4: reset high speed USB device using ehci_hcd and address 6
Jan 27 17:34:15 klaus-imac kernel: [ 504.234568] sd 6:0:0:0: [sdb] Unhandled error code
Jan 27 17:34:15 klaus-imac kernel: [ 504.234577] sd 6:0:0:0: [sdb] Result: hostbyte=DID_ABORT driverbyte=DRIVER_OK
Jan 27 17:34:15 klaus-imac kernel: [ 504.234586] sd 6:0:0:0: [sdb] CDB: Read(10): 28 00 00 00 00 3f 00 00 f0 00
Jan 27 17:34:15 klaus-imac kernel: [ 504.234608] end_request: I/O error, dev sdb, sector 63
Jan 27 17:34:15 klaus-imac kernel: [ 504.234620] Buffer I/O error on device sdb1, logical block 0
Jan 27 17:34:15 klaus-imac kernel: [ 504.234630] Buffer I/O error on device sdb1, logical block 1
Jan 27 17:34:15 klaus-imac kernel: [ 504.234638] Buffer I/O error on device sdb1, logical block 2
Jan 27 17:34:15 klaus-imac kernel: [ 504.234644] Buffer I/O error on device sdb1, logical block 3
Jan 27 17:34:15 klaus-imac kernel: [ 504.234658] Buffer I/O error on device sdb1, logical block 4
Jan 27 17:34:15 klaus-imac kernel: [ 504.234664] Buffer I/O error on device sdb1, logical block 5
Jan 27 17:34:15 klaus-imac kernel: [ 504.234671] Buffer I/O error on device sdb1, logical block 6
Jan 27 17:34:15 klaus-imac kernel: [ 504.234677] Buffer I/O error on device sdb1, logical block 7
Jan 27 17:34:15 klaus-imac kernel: [ 504.234684] Buffer I/O error on device sdb1, logical block 8
Jan 27 17:34:15 klaus-imac kernel: [ 504.234690] Buffer I/O error on device sdb1, logical block 9
Jan 27 17:34:46 klaus-imac kernel: [ 535.090446] usb 2-1.4: reset high speed USB device using ehci_hcd and address 6
Jan 27 17:35:17 klaus-imac kernel: [ 566.120432] usb 2-1.4: reset high speed USB device using ehci_hcd and address 6
Jan 27 17:35:48 klaus-imac kernel: [ 597.122905] usb 2-1.4: reset high speed USB device using ehci_hcd and address 6
Jan 27 17:36:19 klaus-imac kernel: [ 628.120448] usb 2-1.4: reset high speed USB device using ehci_hcd and address 6
Jan 27 17:36:50 klaus-imac kernel: [ 659.090435] usb 2-1.4: reset high speed USB device using ehci_hcd and address 6
Jan 27 17:37:21 klaus-imac kernel: [ 690.100430] usb 2-1.4: reset high speed USB device using ehci_hcd and address 6
Jan 27 17:37:21 klaus-imac kernel: [ 690.204190] sd 6:0:0:0: [sdb] Unhandled error code
Jan 27 17:37:21 klaus-imac kernel: [ 690.204200] sd 6:0:0:0: [sdb] Result: hostbyte=DID_ABORT driverbyte=DRIVER_OK
Jan 27 17:37:21 klaus-imac kernel: [ 690.204204] sd 6:0:0:0: [sdb] CDB: Read(10): 28 00 00 00 01 2f 00 00 10 00
Jan 27 17:37:21 klaus-imac kernel: [ 690.204213] end_request: I/O error, dev sdb, sector 303
Jan 27 17:37:21 klaus-imac kernel: [ 690.204218] __ratelimit: 110 callbacks suppressed
Jan 27 17:37:21 klaus-imac kernel: [ 690.204221] Buffer I/O error on device sdb1, logical block 120
Jan 27 17:37:21 klaus-imac kernel: [ 690.204225] Buffer I/O error on device sdb1, logical block 121
Jan 27 17:37:21 klaus-imac kernel: [ 690.204228] Buffer I/O error on device sdb1, logical block 122
Jan 27 17:37:21 klaus-imac kernel: [ 690.204230] Buffer I/O error on device sdb1, logical block 123
Jan 27 17:37:21 klaus-imac kernel: [ 690.204234] Buffer I/O error on device sdb1, logical block 124
Jan 27 17:37:21 klaus-imac kernel: [ 690.204236] Buffer I/O error on device sdb1, logical block 125
Jan 27 17:37:21 klaus-imac kernel: [ 690.204239] Buffer I/O error on device sdb1, logical block 126
Jan 27 17:37:21 klaus-imac kernel: [ 690.204242] Buffer I/O error on device sdb1, logical block 127
Jan 27 17:37:52 klaus-imac kernel: [ 721.122941] usb 2-1.4: reset high speed USB device using ehci_hcd and address 6
Jan 27 17:38:23 klaus-imac kernel: [ 752.092932] usb 2-1.4: reset high speed USB device using ehci_hcd and address 6
Jan 27 17:38:54 klaus-imac kernel: [ 783.092942] usb 2-1.4: reset high speed USB device using ehci_hcd and address 6
Jan 27 17:39:25 klaus-imac kernel: [ 814.093405] usb 2-1.4: reset high speed USB device using ehci_hcd and address 6
Jan 27 17:39:28 klaus-imac kernel: [ 817.584599] sd 6:0:0:0: timing out command, waited 180s
Jan 27 17:39:28 klaus-imac kernel: [ 817.584621] sd 6:0:0:0: [sdb] Unhandled error code
Jan 27 17:39:28 klaus-imac kernel: [ 817.584626] sd 6:0:0:0: [sdb] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
Jan 27 17:39:28 klaus-imac kernel: [ 817.584636] sd 6:0:0:0: [sdb] CDB: Read(10): 28 00 00 00 00 3f 00 00 08 00
Jan 27 17:39:28 klaus-imac kernel: [ 817.584657] end_request: I/O error, dev sdb, sector 63
Jan 27 17:39:28 klaus-imac kernel: [ 817.584667] Buffer I/O error on device sdb1, logical block 0
Jan 27 17:39:28 klaus-imac kernel: [ 817.584678] Buffer I/O error on device sdb1, logical block 1
Jan 27 17:39:28 klaus-imac kernel: [ 817.584685] Buffer I/O error on device sdb1, logical block 2
Jan 27 17:39:28 klaus-imac kernel: [ 817.584691] Buffer I/O error on device sdb1, logical block 3

The problem affects two different chipsets and is reproducable on lucid on three different machines with the same external hard drives which work fine on karmic for instance.

I took the problem to the linux-usb list and submitted a usbmon trace. Alan Stern looked at it and he found these entries suspicious:

> ffff88001b083e40 2655717029 S Bo:2:015:2 -115 31 = 55534243 21000000 00000000 00001085 06200005 00fe0000 00000000 40ef00
> ffff88001b083e40 2655717090 C Bo:2:015:2 0 31 >
> ffff88001b083e40 2655717123 S Bi:2:015:1 -115 13 <
> ffff88001b083e40 2655731738 C Bi:2:015:1 0 13 = 55534253 21000000 00000000 00
> ffff88001b083e40 2655732007 S Bo:2:015:2 -115 31 = 55534243 22000000 00020000 80001085 082e0000 00000000 00000000 40ec00
> ffff88001b083e40 2655732099 C Bo:2:015:2 0 31 >
> ffff8800afe263c0 2655732126 S Bi:2:015:1 -115 512 <
> ffff8800afe263c0 2655748859 C Bi:2:015:1 -121 13 = 55534253 22000000 00020000 00
> ffff88001b083e40 2655748906 S Bi:2:015:1 -115 13 <
> ffff88001b083e40 2663266469 C Bi:2:015:1 -104 0

From Alan's comment on it:
"The shows a sequence of two ATA pass-through commands being sent to the
device. I don't know what those commands are or what program was
responsible for sending them; as far as I'm aware nothing in the kernel
will do it. Perhaps some program started by udev is responsible.
Looking through your udev rules might pinpoint the culprit.

Anyway, the first command doesn't seem to cause any difficulty, but the
second command fails completely. Instead of sending data in its
response, the device sends a status message. The kernel gets this,
thinks it is data, and then waits for the status to come -- which of
course never happens. So the kernel resets the device and tries
issuing the same command again, with the same result."

The complete history can be found here: http://article.gmane.org/gmane.linux.usb.general/27084

ProblemType: Bug
Architecture: amd64
CustomUdevRuleFiles: 10-vboxdrv.rules 86-hpmud-hp_laserjet_1005_series.rules 86-hpmud-hp_laserjet_1020.rules 86-hpmud-hp_laserjet_p1505.rules 86-hpmud-hp_laserjet_p1008.rules 86-hpmud-hp_laserjet_1000.rules 86-hpmud-hp_laserjet_1018.rules 86-hpmud-hp_laserjet_p1007.rules 86-hpmud-hp_laserjet_p1006.rules 86-hpmud-hp_laserjet_p1005.rules
Date: Sun Jan 31 08:45:03 2010
DistroRelease: Ubuntu 10.04
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20100113)
MachineType: Apple Inc. iMac8,1
NonfreeKernelModules: wl
Package: udev 149-5
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-12-generic root=UUID=4687ba7a-c419-4ea7-9289-9e684f58c2ae ro quiet splash
ProcEnviron:
 LANG=de_AT.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-12.16-generic
SourcePackage: udev
Uname: Linux 2.6.32-12-generic x86_64
dmi.bios.date: 02/09/08
dmi.bios.vendor: Apple Inc.
dmi.bios.version: IM81.88Z.00C1.B00.0802091538
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: Mac-F227BEC8
dmi.board.vendor: Apple Inc.
dmi.board.version: PVT
dmi.chassis.asset.tag: Asset Tag#
dmi.chassis.type: 13
dmi.chassis.vendor: Apple Inc.
dmi.chassis.version: Mac-F227BEC8
dmi.modalias: dmi:bvnAppleInc.:bvrIM81.88Z.00C1.B00.0802091538:bd02/09/08:svnAppleInc.:pniMac8,1:pvr1.0:rvnAppleInc.:rnMac-F227BEC8:rvrPVT:cvnAppleInc.:ct13:cvrMac-F227BEC8:
dmi.product.name: iMac8,1
dmi.product.version: 1.0
dmi.sys.vendor: Apple Inc.

Klaus Doblmann (moviemaniac) wrote :
pinzia (pinzia) wrote :
Jacques L. (jacquesl) wrote :

I can confirm this bug :

[129107.780068] usb 1-3: new high speed USB device using ehci_hcd and address 7
[129107.941130] usb 1-3: configuration #1 chosen from 1 choice
[129107.942274] scsi8 : SCSI emulation for USB Mass Storage devices
[129107.942554] usb-storage: device found at 7
[129107.942558] usb-storage: waiting for device to settle before scanning
[129112.944057] usb-storage: device scan complete
[129112.944776] scsi 8:0:0:0: Direct-Access Hitachi HDT721010SLA360 PQ: 0 ANSI: 2 CCS
[129112.952579] sd 8:0:0:0: Attached scsi generic sg3 type 0
[129112.953003] sd 8:0:0:0: [sdc] 1953525168 512-byte logical blocks: (1.00 TB/931 GiB)
[129112.954136] sd 8:0:0:0: [sdc] Write Protect is off
[129112.954142] sd 8:0:0:0: [sdc] Mode Sense: 34 00 00 00
[129112.954147] sd 8:0:0:0: [sdc] Assuming drive cache: write through
[129112.956143] sd 8:0:0:0: [sdc] Assuming drive cache: write through
[129112.956151] sdc: sdc1
[129112.976998] sd 8:0:0:0: [sdc] Assuming drive cache: write through
[129112.977006] sd 8:0:0:0: [sdc] Attached SCSI disk
[129121.130068] usb 1-3: reset high speed USB device using ehci_hcd and address 7
[129129.130067] usb 1-3: reset high speed USB device using ehci_hcd and address 7
[129129.601698] sd 8:0:0:0: [sdc] Unhandled sense code
[129129.601705] sd 8:0:0:0: [sdc] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[129129.601714] sd 8:0:0:0: [sdc] Sense Key : Medium Error [current]
[129129.601723] sd 8:0:0:0: [sdc] Add. Sense: Unrecovered read error
[129129.601732] sd 8:0:0:0: [sdc] CDB: Read(10): 28 00 00 00 00 3f 00 00 08 00
[129129.601751] end_request: I/O error, dev sdc, sector 63
[129129.601759] Buffer I/O error on device sdc1, logical block 0
[129129.601766] Buffer I/O error on device sdc1, logical block 1
[129129.601771] Buffer I/O error on device sdc1, logical block 2
[129129.601777] Buffer I/O error on device sdc1, logical block 3

This is with a drive which works fine in karmic, the bug is reproductible with two different computer running lucid with the same drive. Interestingly, the same drive could not be mounted on karmic alphas because of this bug which looks similar :
https://bugs.launchpad.net/ubuntu/+source/libatasmart/+bug/387161

Changed in udev (Ubuntu):
status: New → Confirmed
Jose (jmbalado) wrote :

Same bug here. Lucid Alpha 2 amd64 on HP Pavilion dv8-1150es.
External Hard Disk works fine in the same computer with Windows and in another computer with Ubuntu Intrepid.

kernel: [ 3799.770310] usb 1-1.2: new high speed USB device using ehci_hcd and address 8
kernel: [ 3799.882730] usb 1-1.2: configuration #1 chosen from 1 choice
kernel: [ 3799.883590] scsi11 : SCSI emulation for USB Mass Storage devices
kernel: [ 3799.883745] usb-storage: device found at 8
kernel: [ 3799.883749] usb-storage: waiting for device to settle before scanning
kernel: [ 3804.875942] usb-storage: device scan complete
kernel: [ 3804.931723] scsi 11:0:0:0: Direct-Access ST310003 33AS PQ: 0 ANSI: 2 CCS
kernel: [ 3804.932415] sd 11:0:0:0: Attached scsi generic sg4 type 0
kernel: [ 3805.015017] sd 11:0:0:0: [sdd] 1953525168 512-byte logical blocks: (1.00 TB/931 GiB)
kernel: [ 3805.016458] sd 11:0:0:0: [sdd] Write Protect is off
kernel: [ 3805.016465] sd 11:0:0:0: [sdd] Mode Sense: 34 00 00 00
kernel: [ 3805.016470] sd 11:0:0:0: [sdd] Assuming drive cache: write through
kernel: [ 3805.019469] sd 11:0:0:0: [sdd] Assuming drive cache: write through
kernel: [ 3805.019478] sdd: sdd1 sdd2 sdd3 sdd4
kernel: [ 3805.045805] sd 11:0:0:0: [sdd] Assuming drive cache: write through
kernel: [ 3805.045810] sd 11:0:0:0: [sdd] Attached SCSI disk
kernel: [ 3812.449261] usb 1-1.2: reset high speed USB device using ehci_hcd and address 8
wpa_supplicant[1310]: CTRL-EVENT-SCAN-RESULTS
wpa_supplicant[1310]: WPS-AP-AVAILABLE
kernel: [ 3820.444715] usb 1-1.2: reset high speed USB device using ehci_hcd and address 8
kernel: [ 3851.385693] sd 11:0:0:0: Device offlined - not ready after error recovery
kernel: [ 3851.385705] sd 11:0:0:0: [sdd] Unhandled error code
kernel: [ 3851.385710] sd 11:0:0:0: [sdd] Result: hostbyte=DID_ABORT driverbyte=DRIVER_OK
kernel: [ 3851.385716] sd 11:0:0:0: [sdd] CDB: Read(10): 28 00 00 00 00 3f 00 00 08 00
kernel: [ 3851.385732] end_request: I/O error, dev sdd, sector 63
kernel: [ 3851.385740] Buffer I/O error on device sdd1, logical block 0
kernel: [ 3851.385812] sd 11:0:0:0: rejecting I/O to offline device
kernel: [ 3851.385841] sd 11:0:0:0: rejecting I/O to offline device
kernel: [ 3851.385856] sd 11:0:0:0: rejecting I/O to offline device

Best regards,
Jose

filip (bandit-s-fw) wrote :
Download full text (4.0 KiB)

I encounter almost the same problem with my two external drives:

freecom XXS (usb-powered)

Feb 26 17:15:42 lucidext kernel: [ 142.660066] usb 1-4: new high speed USB device using ehci_hcd and address 5
Feb 26 17:15:42 lucidext kernel: [ 142.811197] usb 1-4: configuration #1 chosen from 1 choice
Feb 26 17:15:42 lucidext kernel: [ 142.813797] scsi7 : SCSI emulation for USB Mass Storage devices
Feb 26 17:15:47 lucidext kernel: [ 147.810682] scsi 7:0:0:0: Direct-Access Freecom Mobile Drive XXS PQ: 0 ANSI: 2 CCS
Feb 26 17:15:47 lucidext kernel: [ 147.811440] sd 7:0:0:0: Attached scsi generic sg3 type 0
Feb 26 17:15:47 lucidext kernel: [ 147.813681] sd 7:0:0:0: [sdc] 312581808 512-byte logical blocks: (160 GB/149 GiB)
Feb 26 17:15:47 lucidext kernel: [ 147.814668] sd 7:0:0:0: [sdc] Write Protect is off
Feb 26 17:15:47 lucidext kernel: [ 147.816291] sdc: sdc1 sdc2 sdc3 < sdc5 sdc6 > sdc4
Feb 26 17:15:47 lucidext kernel: [ 147.878577] sd 7:0:0:0: [sdc] Attached SCSI disk
Feb 26 17:15:55 lucidext kernel: [ 156.130089] usb 1-4: reset high speed USB device using ehci_hcd and address 5
Feb 26 17:16:04 lucidext kernel: [ 164.160059] usb 1-4: reset high speed USB device using ehci_hcd and address 5
Feb 26 17:16:10 lucidext kernel: [ 171.079267] evolution-alarm[1944] general protection ip:7f542c559219 sp:7fff99ba4730 error:0 in libdbus-1.so.3.4.0[7f542c52f000+3d000]
Feb 26 17:16:34 lucidext kernel: [ 195.132582] usb 1-4: reset high speed USB device using ehci_hcd and address 5

freecom Harddisk classic 3.5" 1 TB (external powered)
Feb 26 17:22:24 lucidext kernel: [ 544.650786] usb 1-4: new high speed USB device using ehci_hcd and address 6
Feb 26 17:22:24 lucidext kernel: [ 544.801146] usb 1-4: configuration #1 chosen from 1 choice
Feb 26 17:22:24 lucidext kernel: [ 544.803710] scsi8 : SCSI emulation for USB Mass Storage devices
Feb 26 17:22:29 lucidext kernel: [ 549.800765] scsi 8:0:0:0: Direct-Access WDC WD10 EAVS-00D7B0 PQ: 0 ANSI: 2 CCS
Feb 26 17:22:29 lucidext kernel: [ 549.801530] sd 8:0:0:0: Attached scsi generic sg3 type 0
Feb 26 17:22:29 lucidext kernel: [ 549.803756] sd 8:0:0:0: [sdc] 1953525168 512-byte logical blocks: (1.00 TB/931 GiB)
Feb 26 17:22:29 lucidext kernel: [ 549.804625] sd 8:0:0:0: [sdc] Write Protect is off
Feb 26 17:22:29 lucidext kernel: [ 549.806127] sdc: sdc1
Feb 26 17:22:29 lucidext kernel: [ 549.815866] sd 8:0:0:0: [sdc] Attached SCSI disk
Feb 26 17:22:36 lucidext kernel: [ 557.130061] usb 1-4: reset high speed USB device using ehci_hcd and address 6
Feb 26 17:22:45 lucidext kernel: [ 565.160059] usb 1-4: reset high speed USB device using ehci_hcd and address 6
Feb 26 17:23:15 lucidext kernel: [ 596.130059] usb 1-4: reset high speed USB device using ehci_hcd and address 6

I've tested these drives under Hardy and these resets doesn't accur. So this can be marked as a regression. I don't know how to do this.

For me unlike other reporters the drives also reset under karmic.

I first thought this was because the system probed for smart as this also can trigger resets but i've tried to blacklist the drive
and it didn't help. Also the above messages are taken with a full up to ...

Read more...

tags: added: regression-potential
Changed in udev (Ubuntu):
assignee: nobody → Canonical Foundations Team (canonical-foundations)

could this be a duplicate of this bug #530227 ?

Martin Pitt (pitti) wrote :

Unknown whether it's a duplicate. Does this bug still happen if you do

  sudo mv /lib/udev/devicekit-disks-probe-ata-smart{,.disabled}

or, if you are on lucid,

  sudo mv /lib/udev/udisks-probe-ata-smart{,.disabled}

and replug the device?

filip (bandit-s-fw) wrote :
Download full text (7.8 KiB)

both my disks still reset after the disabling of smart. After a while i can use them. If i look in Disk utility the disk pops up. but as a disk with no partitions. Than it disapears again. And than it comes back. This happens about 3 times and than the partitions are shown. And i am can mount the partition with the mount button in Disk utility.

freecom 1 TB

Mar 14 11:15:04 lucidext kernel: [ 37.662627] CE: hpet increasing min_delta_ns to 15000 nsec
Mar 14 11:15:41 lucidext kernel: [ 74.160140] usb 1-4: new high speed USB device using ehci_hcd and address 5
Mar 14 11:15:41 lucidext kernel: [ 74.311596] usb 1-4: configuration #1 chosen from 1 choice
Mar 14 11:15:41 lucidext kernel: [ 74.312451] scsi7 : SCSI emulation for USB Mass Storage devices
Mar 14 11:15:46 lucidext kernel: [ 79.310947] scsi 7:0:0:0: Direct-Access WDC WD10 EAVS-00D7B0 PQ: 0 ANSI: 2 CCS
Mar 14 11:15:46 lucidext kernel: [ 79.311823] sd 7:0:0:0: Attached scsi generic sg3 type 0
Mar 14 11:15:46 lucidext kernel: [ 79.314861] sd 7:0:0:0: [sdc] 1953525168 512-byte logical blocks: (1.00 TB/931 GiB)
Mar 14 11:15:46 lucidext kernel: [ 79.315732] sd 7:0:0:0: [sdc] Write Protect is off
Mar 14 11:15:46 lucidext kernel: [ 79.317567] sdc: sdc1
Mar 14 11:15:46 lucidext kernel: [ 79.323991] sd 7:0:0:0: [sdc] Attached SCSI disk
Mar 14 11:15:53 lucidext kernel: [ 87.130201] usb 1-4: reset high speed USB device using ehci_hcd and address 5
Mar 14 11:16:01 lucidext kernel: [ 95.130172] usb 1-4: reset high speed USB device using ehci_hcd and address 5
Mar 14 11:16:32 lucidext kernel: [ 126.130194] usb 1-4: reset high speed USB device using ehci_hcd and address 5
Mar 14 11:17:56 lucidext kernel: [ 209.892613] CE: hpet increasing min_delta_ns to 22500 nsec

freecom XXS

Mar 14 11:25:07 lucidext kernel: [ 580.481119] usb 1-4: configuration #1 chosen from 1 choice
Mar 14 11:25:07 lucidext kernel: [ 580.483719] scsi8 : SCSI emulation for USB Mass Storage devices
Mar 14 11:25:12 lucidext kernel: [ 585.480715] scsi 8:0:0:0: Direct-Access Freecom Mobile Drive XXS PQ: 0 ANSI: 2 CCS
Mar 14 11:25:12 lucidext kernel: [ 585.481480] sd 8:0:0:0: Attached scsi generic sg3 type 0
Mar 14 11:25:12 lucidext kernel: [ 585.483995] sd 8:0:0:0: [sdc] 312581808 512-byte logical blocks: (160 GB/149 GiB)
Mar 14 11:25:12 lucidext kernel: [ 585.484811] sd 8:0:0:0: [sdc] Write Protect is off
Mar 14 11:25:12 lucidext kernel: [ 585.486458] sdc: sdc1 sdc2 sdc3 < sdc5 sdc6 > sdc4
Mar 14 11:25:12 lucidext kernel: [ 585.553580] sd 8:0:0:0: [sdc] Attached SCSI disk
Mar 14 11:25:19 lucidext kernel: [ 593.130059] usb 1-4: reset high speed USB device using ehci_hcd and address 6
Mar 14 11:25:27 lucidext kernel: [ 601.130060] usb 1-4: reset high speed USB device using ehci_hcd and address 6
Mar 14 11:25:58 lucidext kernel: [ 632.070362] usb 1-4: USB disconnect, address 6
Mar 14 11:25:58 lucidext kernel: [ 632.071306] sd 8:0:0:0: Device offlined - not ready after error recovery
Mar 14 11:25:58 lucidext kernel: [ 632.071340] sd 8:0:0:0: [sdc] Unhandled error code
Mar 14 11:25:58 lucidext kernel: [ 632.071346] sd 8:0:0:0: [sdc] Result: hostbyte=DID_NO_CONNECT driverbyte=D...

Read more...

Martin Pitt (pitti) on 2010-03-14
affects: udev (Ubuntu) → linux (Ubuntu)
Klaus Doblmann (moviemaniac) wrote :

@Martin: Yes, the bug still happens when disabling smart

By the way: The bug hasn't yet been addressed upstream - at least 2.6.33.1 also fails - I have yet to try .34-rc1

Alexander Sack (asac) wrote :

isnt this an RC bug? i mean you cannot mount drives that worked in karmic without a problem. e.g. i had a rootfs on the disk mentioned in the duped bug 515023 - feels pretty RC if you cannot boot anymore ;).

filip (bandit-s-fw) wrote :

I see that there is a request for information on the bugreport upstream. Can someone check it again the vanilla kernel 2.6.34 rc2 as requested? I don't have the knowledge tot do it.

tags: added: lucid-upgrade-testing
Klaus Doblmann (moviemaniac) wrote :

@Alex: I definitely would say this is a RC bug as I have encountered two more drives which friends brought along and didn't work...

This bug (if it really is a kernel one) still exists in Linus's 2.6-tree as of roughly two hours ago - which was when I checked out the version I just compiled and tested...

Could someone also take a look to the patch submitted here?: https://bugs.launchpad.net/ubuntu/+source/linux-fsl-imx51/+bug/499881/comments/25

Klaus Doblmann (moviemaniac) wrote :

This is a udev bug - renaming /lib/udev/rules.d/85-hdparm.rules makes these drives work again. Further information can be found on this discussion on linux-usb: http://marc.info/?t=126927150300011&r=1&w=2

affects: linux (Ubuntu) → udev (Ubuntu)
Dominik George (natureshadow) wrote :

#542642 is a duplicate of this bug, although it also broke the device filesystem for me.

Klaus Doblmann (moviemaniac) wrote :

Actually I was a bit too harsh above - it's not really a udev bug, if I read the thread on linux-usb correctly it is actually a bug in hdparm but until that gets fixed I vote for disabling the mentioned udev rule alltogether which would make it a udev bug too ;)

Colin Watson (cjwatson) wrote :

But, err ... that udev rule is shipped by the hdparm package, not by udev. udev isn't responsible for all the rules ...

affects: udev (Ubuntu) → hdparm (Ubuntu)
Klaus Doblmann (moviemaniac) wrote :

Sorry Colin, didn't know about that - I thought since it was in the udev folder it'd be supplied by udev^^

yota (yota-opensystems) wrote :

"mv 85-hdparm.rules 85-hdparm.rules.disabled"

worked on my external ST315005 41AS which was hanging since lucid upgrade.

sebass (js-bruzzone) wrote :

"mv 85-hdparm.rules 85-hdparm.rules.disabled"
Also worked for my Samsung S2 external 500gb usb HDD !!
seba

Jeremy Teale (jteale) wrote :

I just want to add that this bug is likely affecting firewire drives as well. 548513

Jerone Young (jerone) on 2010-04-04
Changed in oem-priority:
importance: Undecided → Critical
Changed in oem-priority:
importance: Critical → High
filip (bandit-s-fw) wrote :

hello, my freecom xxs hdd works with the disabling of the udev rule if i connect my disk to a lucid system.
But however the disk keeps resetting 3x in the bootproces when i try to boot from it. (lucid (up to date) is installed on it).
Do i have to change something else? initramfs or something?

Jerone Young (jerone) wrote :

This issue is affecting firewire disks & also some usb 3.0 disk apparently.

Not work fine in USB 2.0

Colin Watson (cjwatson) wrote :

Cristian, your last comment is a bit ambiguous (some people type "Not" like that when they mean "No,"), and so I'd like to clarify. Do you mean that it works with USB 2.0, or that it does not work with USB 2.0?

Changed in hdparm (Ubuntu):
importance: Undecided → High
Changed in hdparm (Ubuntu Lucid):
milestone: none → ubuntu-10.04
Jerone Young (jerone) wrote :

Can you guys try out the fix I posted here:

https://bugs.launchpad.net/oem-priority/+bug/548513/comments/20

It's just saying don't use hdparm to try ATA pass through for firewire & usb devices.

On Wed, 2010-04-07 at 16:09 +0000, Jerone Young wrote:
> Can you guys try out the fix I posted here:
>
> https://bugs.launchpad.net/oem-priority/+bug/548513/comments/20

That solves it for me as well.

> @Colin Watson
> https://bugs.edge.launchpad.net/ubuntu/+source/hdparm/+bug/515023/comments/27

It does not work with USB 2.0 Storage (Hard Disk external). Pendrive mp3 work fine

Jerone Young (jerone) wrote :

@Cristian Aravena
                Can you post the output of dmesg when you plug in that usb 2.0 drive? What brand is it?

> Can you post the output of dmesg when you plug in that usb 2.0 drive?
Not message of USB2.0 in dmesg :S
https://bugs.edge.launchpad.net/ubuntu/+source/linux/+bug/545588

> What brand is it?
"HXMU032DA/G22"
http://www.samsung.com/global/business/hdd/productmodel.do?group=72&type=93&subtype=96&model_cd=429&tab=fea&ppmi=1219

"Specifications" -> Performance Specification -> Performance Specification Interface Hi-Speed USB 2.0 (480 Mb/sec)

Jerone Young (jerone) wrote :

@Christian
               Your usb drive is suffering from a completely different issue then what this bug is about. This is bug is not about usb ports reseting. It's about drives failing when hdparm passes certain ATA commands.

filip (bandit-s-fw) wrote :

I still get the resets as mentioned in post #23 but if i use the proposed udev rule the errors restart occuring.
So if i boot without modifications i get resets and errors
if i boot without the rule i get only the resets (late in the boot sequence) wich makes the boot time longer but i can use the system.
if i boot with the modified rule i get the resets and the errors.

Does someone know where my resets come from? if i use the disk on an other system with the rule erased i haven't seen the resets. Normally it resets just after insertion.

hangyu (xcywhy) wrote :

Same to Guilherme Salgado,
This patch solve my problem. (Rockchip MP4)

filip (bandit-s-fw) wrote :

with the latest update of udisk and udev my system is broken again. At boot i get a lot of ext4 errors.
There seems to be yet another bug that resets the drive other than this one and the ata-smart probe.
(tested this before the updates) Booting without the 85-hdparm.... rule and with the ata-smart disabled i still got resets.

filip (bandit-s-fw) wrote :

is there someone who knows how i can find out where my resets come from?
I've reinstalled lucid on my external drive from my daily cd i had from a week or two.
haven't did the updates.

filip (bandit-s-fw) wrote :

can someone check this out :
Could someone also take a look to the patch submitted here?: https://bugs.launchpad.net/ubuntu/+source/linux-fsl-imx51/+bug/499881/comments/25

like Klaus Doblmann asked in #14

Klaus Doblmann (moviemaniac) wrote :

filip: I've gotten an answer to my request from upstream: This patch should work but it's more or less ugly and fixing the problem where it _really_ lies (hdparm) is way better than applying a not-so-great workaround.
However I don't know a solution to you problem booting from the device, sorry. Could be the bug's unrelated to this one discussed here.

Psy[H[] (vovik-wfa) wrote :

After connecting disk (Bus 001 Device 005: ID 152d:2329 JMicron Technology Corp. / JMicron USA Technology Corp. ) to my system, I run:
sudo fdisk -l
it stumbles on scanning the drive for some 25-20 secs, but then drive gets seen by Gnome. Sometimes after second attempt.

Wladimir Mutel (mwg) wrote :

On HP 500 notebook with Samsung HM121HC PATA HDD and up-to-date Kubuntu 9.10 I regularly observe similar behaviour (stalls for 20..25 seconds, HSM violations in dmesg).
Did not try proposed-updates or 10.04b2 on the same HW, though .

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hdparm - 9.15-1ubuntu8

---------------
hdparm (9.15-1ubuntu8) lucid; urgency=low

  * Don't apply default APM policy to Firewire or USB devices when running
    from udev (LP: #515023, #548513).
 -- Colin Watson <email address hidden> Fri, 16 Apr 2010 16:19:29 +0100

Changed in hdparm (Ubuntu Lucid):
status: Confirmed → Fix Released
Psy[H[] (vovik-wfa) wrote :

Confirming, my hdd mounted without any assistance.

Jerone Young (jerone) on 2010-04-17
Changed in oem-priority:
status: New → Fix Released
Jose (jmbalado) wrote :

With the package hdparm - 9.15-1ubuntu8 my external USB hard disk works but not my MP3 player.

/var/messages says:

 usb 1-1.2: new high speed USB device using ehci_hcd and address 4

 usb 1-1.2: new high speed USB device using ehci_hcd and address 5

 usb 1-1.2: configuration #1 chosen from 1 choice

 Initializing USB Mass Storage driver...

 scsi6 : SCSI emulation for USB Mass Storage devices

 usbcore: registered new interface driver usb-storage

 USB Mass Storage support registered.

 usb 1-1.2: reset high speed USB device using ehci_hcd and address 5

 usb 1-1.2: reset high speed USB device using ehci_hcd and address 5

 usb 1-1.2: reset high speed USB device using ehci_hcd and address 5

 usb 1-1.2: reset high speed USB device using ehci_hcd and address 5

 CE: hpet increasing min_delta_ns to 15000 nsec

 usb 1-1.2: reset high speed USB device using ehci_hcd and address 5

 usb 1-1.2: reset high speed USB device using ehci_hcd and address 5

 scsi 6:0:0:0: Device offlined - not ready after error recovery

 usb 1-1.2: USB disconnect, address 5

 usb 1-1.2: new high speed USB device using ehci_hcd and address 6

Could it be a different problem?

Best regards,
Jose

filip (bandit-s-fw) wrote :

I can confirm that the proposed solution works for both my freecom disks: freecom mobile XXS and freecom 1 TB.
However i still got the resets late at boot when booting from my mobile XXS. But maybe this is an other bug.

Jose (jmbalado) wrote :

My MP3 player works if I choose "MSC" as the USB mode option of the MP3 player. It does not work if I select Auto Detect or MTP.

Best regards,
Jose

Changed in linux:
status: Unknown → Incomplete
Changed in linux:
importance: Unknown → Medium
Changed in linux:
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.